% Questa routine calcola le medie (giornaliere o per intervalli definiti)
% necessarie per le elaborazioni successive per i Tilt Link HR
% ACCdefTLHR contiene le medie per l'intervallo definito delle accelerazioni
% ARRAYdateTLHR contiene le date e il tempo per ogni dato (per media
% giornaliera, la data di quel giorno)

function [ANGdef_TLHR,ARRAYdateTLHR,TempDef_TLHR] = MediaDati_TLHR(angTLHR,...
    TimeTLHR,tempTLHR,NdatiMedia,FileName)

fileID = fopen(FileName,'a');
fmt = '%s \r';
text = 'MediaDati_TLHR function started';
fprintf(fileID,fmt,text);

%% Angoli
[r,~]=size(angTLHR);
if NdatiMedia > r
    NdatiMedia = r;
end
ANGdef_TLHR = smoothdata(angTLHR,'gaussian',NdatiMedia);

%% Matrice date
ARRAYdateTLHR = TimeTLHR;

%% Temperature
TempDef_TLHR = tempTLHR; % Non faccio la media, mi serve il dato come è per applicare i filtri

text = 'Average mean of Tilt Link HR V data executed correctly. MediaDati_TLHR function ended';
fileID = fopen(FileName,'a');
fmt = '%s \r';
fprintf(fileID,fmt,text);
fclose(fileID);

end